Loading...
Searching...
No Matches
ForceFields::MMFF::EleContrib Class Reference

the electrostatic term for MMFF More...

`#include <Nonbonded.h>`

Inheritance diagram for ForceFields::MMFF::EleContrib:

## Public Member Functions

| EleContrib ()
| EleContrib (ForceField *owner)
| Constructor.
void | addTerm (unsigned int idx1, unsigned int idx2, double chargeTerm, std::uint8_t dielModel, bool is1_4)
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
EleContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

the electrostatic term for MMFF

Definition at line 39 of file MMFF/Nonbonded.h.

## Constructor & Destructor Documentation

## EleContrib() [1/2]

ForceFields::MMFF::EleContrib::EleContrib | ( |  | ) |

inline

Definition at line 41 of file MMFF/Nonbonded.h.

## EleContrib() [2/2]

ForceFields::MMFF::EleContrib::EleContrib | ( | ForceField * | owner | ) |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions

## Member Function Documentation

## addTerm()

void ForceFields::MMFF::EleContrib::addTerm | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | chargeTerm,
|  | std::uint8_t | dielModel,
|  | bool | is1_4
| ) |  |

## copy()

EleContrib * ForceFields::MMFF::EleContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 56 of file MMFF/Nonbonded.h.

## getEnergy()

double ForceFields::MMFF::EleContrib::getEnergy | ( | double * | pos | ) | const

override virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::MMFF::EleContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/Nonbonded.h